//---------------------------------------------------------------------------
#ifndef objectsH
#define objectsH


//=====================================================================
//	INCLUDES
//=====================================================================
//
// my standard OpenGL includes (for different Compilers)
// my standard OpenGL includes (for different Compilers)
#ifdef _WIN32
  #include <windows.h>
  #ifdef _MSC_VER // MS VC++
    #pragma warning(disable:4244) // warning += etc.
    #pragma warning(disable:4305)
  #else // maybe, it' BCB
    #include <vcl.h>
    #pragma hdrstop
    //USELIB("...\LIB\Glut32.lib"); // Borland Builder
    //USEUSEUNIT("objects.cpp");
//---------------------------------------------------------------------------
#endif
#else
  #ifdef __GNUC__ // Linux
    typedef bool	boolean;
  #else
    enum boolean {false, true};
  #endif
#endif

extern "C" {
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
}


//=====================================================================
//  Koordinatensystem
//=====================================================================
//
class GLCoordSystem
{
  public:
    GLCoordSystem();
    ~GLCoordSystem() {};

    void Draw();

  private:
    GLfloat             CoordColor[3], CoordV0[3], CoordV1[3];
    GLfloat             CoordA1[3], CoordA2[3];
    boolean             CoordList;
    int                 CoordListNr;
};

//---------------------------------------------------------------------------
#endif
 